import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { LayoutComponent } from './components/layout/layout.component';
import { DashboardComponent } from './components/dashboard/dashboard.component';
import { ImageUploadComponent } from './components/image-upload/image-upload.component';
import { HttpClientModule, HTTP_INTERCEPTORS } from '@angular/common/http';
import { MembersComponent } from './components/members/members.component';
import { Ng2SmartTableModule } from 'ng2-smart-table';
import { SiteInfoComponent } from './components/site-info/site-info.component';
import { UsersComponent } from './components/users/users.component';
import { ManagerComponent } from './components/users/manager/manager.component';
import { CounsellorComponent } from './components/users/counsellor/counsellor.component';
import { FooterComponent } from './components/footer/footer.component';
import { LandingPageComponent } from './components/landing-page/landing-page.component';
import { AdminComponent } from './components/users/admin/admin.component';
import { MemberDetailComponent } from './components/members/member-detail/member-detail.component';
import { SeoInfoComponent } from './components/seo-info/seo-info.component';
import { AdminDetailComponent } from './components/users/admin-detail/admin-detail.component';
import { CounsDetailComponent } from './components/users/couns-detail/couns-detail.component';
import { ManagerDetailComponent } from './components/users/manager-detail/manager-detail.component';
import {NgxPaginationModule} from 'ngx-pagination';
import { FilterPipeModule } from 'ngx-filter-pipe';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { LoginComponent } from './components/login/login.component';
import { Page404Component } from './components/pages/page404/page404.component';
import { TokenInterceptor } from './services/token-interceptor';
import {MatNativeDateModule} from '@angular/material/core';
import {MatMenuModule} from '@angular/material/menu';

@NgModule({
  declarations: [
    AppComponent,
    LayoutComponent,
    DashboardComponent,
    ImageUploadComponent,
    MembersComponent,
    SiteInfoComponent,
    UsersComponent,
    ManagerComponent,
    CounsellorComponent,
    FooterComponent,
    LandingPageComponent,
    AdminComponent,
    MemberDetailComponent,
    SeoInfoComponent,
    AdminDetailComponent,
    CounsDetailComponent,
    ManagerDetailComponent,
    LoginComponent,
    Page404Component

  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    HttpClientModule,
    Ng2SmartTableModule,
    NgxPaginationModule,
    FilterPipeModule,
    FormsModule,
    ReactiveFormsModule,
    MatMenuModule,
    MatNativeDateModule,

  ],
  providers: [
    {
      provide: HTTP_INTERCEPTORS,
      useClass: TokenInterceptor,
      multi: true
    }
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }
