import { Component, OnInit, OnDestroy } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { takeWhile } from 'rxjs/operators';
import { TokenService } from 'src/app/services/token.service';
import { AnimationService } from 'src/app/services/animation.service';
import { ActivatedRoute, Router } from '@angular/router';

@Component({
  selector: 'app-admin',
  templateUrl: './admin.component.html',
  styleUrls: ['./admin.component.css']
})
export class AdminComponent implements OnInit {

  private alive = true;
  authToken: any;
  admins: any;
  adminid: any;

  constructor(
    private http: HttpClient,
    private token: TokenService,
    private as: AnimationService,
    private router: Router,
  ) {}

  ngOnInit() {
    this.getAdmins();
  }

  getAdmins() {
    this.authToken = this.token.getToken();
    const header: HttpHeaders = new HttpHeaders().set('Authorization', this.authToken);
    this.http
      .get(`${environment.url}/user/getAdmins`, {headers : header})
      .pipe(takeWhile(() => this.alive))
      .subscribe(
        (resp: any) => {
          // console.log(resp);
          this.admins = resp.admins;
          // console.log(this.admins);
        },
        err => {
          // console.log(err);
        }
      );
  }

  onAdminRowSelect(event: any) {
    // console.log(event.data);
    this.adminid = event._id;
    // console.log(this.adminid);
    this.router.navigate([`admin-detail/${this.adminid}`]);
  }

}
