import { Component, OnInit, OnDestroy } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import {GetuserService} from '../../../services/getuser.service';
import {Router} from '@angular/router';

@Component({
  selector: 'app-couns-detail',
  templateUrl: './couns-detail.component.html',
  styleUrls: ['./couns-detail.component.css']
})
export class CounsDetailComponent implements OnInit {

  authToken: any;
  counsellordetail: any;
  counsid: any;

  constructor(
    private route: ActivatedRoute,
    private http: HttpClient,
    private router: Router,
    private userService: GetuserService,
  ) {
    this.route.params.subscribe(para => {
      // console.log(para.id);
      this.counsid = para.id;
    });
  }

  ngOnInit() {
    this.userService.getUserDetail(this.counsid).subscribe((resp: any) => {
      this.counsellordetail = resp.users;
      console.log(this.counsellordetail);
    },
    err => {
      console.log(err);
      return false;
    });
  }

}
