import { Component, OnInit, OnDestroy } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import {GetuserService} from '../../../services/getuser.service';
import {Router} from '@angular/router';

@Component({
  selector: 'app-manager-detail',
  templateUrl: './manager-detail.component.html',
  styleUrls: ['./manager-detail.component.css']
})
export class ManagerDetailComponent implements OnInit {

  authToken: any;
  managerdetail: any;
  managerid: any;

  constructor(
    private route: ActivatedRoute,
    private http: HttpClient,
    private router: Router,
    private userService: GetuserService,
  ) {
    this.route.params.subscribe(para => {
      // console.log(para.id);
      this.managerid = para.id;
    });
   }

  ngOnInit() {
    this.userService.getUserDetail(this.managerid).subscribe((resp: any) => {
      this.managerdetail = resp.users;
      console.log(this.managerdetail);
    },
    err => {
      console.log(err);
      return false;
    });
  }

}
