import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { TokenService } from 'src/app/services/token.service';

@Injectable({
  providedIn: 'root'
})
export class DashboardService {

  authToken: any;

  constructor(
    private http: HttpClient,
    private token: TokenService,
  ) { }

  getMembersCount() {
    const url = `${environment.url}/members/getMembersCount/`;
    return this.http.get(url, {headers: this.loadToken()});
  }

  getOfficesCount() {
    const url = `${environment.url}/office/getOfficesCount/`;
    return this.http.get(url, {headers: this.loadToken()});
  }

  getLeadsCount() {
    const url = `${environment.url}/lead/getLeadsCount/`;
    return this.http.get(url, {headers: this.loadToken()});
  }

  getOldLeadsCount() {
    const url = `${environment.url}/lead/getOldLeadsCounter/`;
    return this.http.get(url, {headers: this.loadToken()});
  }

  getAdminsCount() {
    const url = `${environment.url}/lead/getOldLeadsCounter/`;
    return this.http.get(url, {headers: this.loadToken()});
  }

  loadToken() {
    this.authToken = this.token.getToken();
    const header: HttpHeaders = new HttpHeaders().set('Authorization', this.authToken);
    return header;
  }
}
