import { Injectable } from '@angular/core';
import { HttpHeaders, HttpClient} from '@angular/common/http';
import { environment } from '../../environments/environment';

@Injectable()
export class FileService {

  constructor(private http: HttpClient) {}

    downloadFile(file: String){
        const body = {filename: file};

        return this.http.post(environment.url + '/file/download', body, {
            responseType : 'blob',
            headers: new HttpHeaders().append('Content-Type', 'application/json')
        });
    }

    uploadFile(file: File) {
        const fd = new FormData();
        fd.append('file', file);
        return this.http.post(environment.url + '/file/upload', fd, {
            reportProgress: true,
            observe: 'events'
        });
    }

    importLead(file: File) {
        const fd = new FormData();
        fd.append('image', file, file.name);
        return this.http.post(environment.url + '/leads/import', fd, {
            reportProgress: true,
            observe: 'events'
        });
    }

    import(file: File) {
        const fd = new FormData();
        fd.append('image', file, file.name);
        return this.http.post(environment.url + '/file/import', fd);
    }
}
